fiducial
Device proxies

The fiducial proxy provides an interface to a fiducial detector. More...

## Classes

struct | playerc_fiducial_t
| Fiducial finder data. More...

## Functions

PLAYERC_EXPORT playerc_fiducial_t * | playerc_fiducial_create (playerc_client_t *client, int index)
| Create a fiducial proxy. More...
PLAYERC_EXPORT void | playerc_fiducial_destroy (playerc_fiducial_t *device)
| Destroy a fiducial proxy. More...
PLAYERC_EXPORT int | playerc_fiducial_subscribe (playerc_fiducial_t *device, int access)
| Subscribe to the fiducial device. More...
PLAYERC_EXPORT int | playerc_fiducial_unsubscribe (playerc_fiducial_t *device)
| Un-subscribe from the fiducial device. More...
PLAYERC_EXPORT int | playerc_fiducial_get_geom (playerc_fiducial_t *device)
| Get the fiducial geometry. More...

## Detailed Description

The fiducial proxy provides an interface to a fiducial detector.

This device looks for fiducials (markers or beacons) in the laser scan, and determines their identity, range, bearing and orientation. See the Player User Manual for a complete description of the various drivers that support the fiducial interface.

## Function Documentation

PLAYERC_EXPORT playerc_fiducial_t* playerc_fiducial_create | ( | playerc_client_t * | client,
|  | int | index
| ) |  |

Create a fiducial proxy.

PLAYERC_EXPORT void playerc_fiducial_destroy | ( | playerc_fiducial_t * | device | ) |

Destroy a fiducial proxy.

PLAYERC_EXPORT int playerc_fiducial_get_geom | ( | playerc_fiducial_t * | device | ) |

Get the fiducial geometry.

Ths writes the result into the proxy rather than returning it to the caller.

PLAYERC_EXPORT int playerc_fiducial_subscribe | ( | playerc_fiducial_t * | device,
|  | int | access
| ) |  |

Subscribe to the fiducial device.

PLAYERC_EXPORT int playerc_fiducial_unsubscribe | ( | playerc_fiducial_t * | device | ) |

Un-subscribe from the fiducial device.

Last updated 12 September 2005 21:38:45